﻿using System;
using System.Diagnostics;

namespace Logging
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Beispiel 14");
            Console.WriteLine("");

            SourceSwitch loggingSwitch = new SourceSwitch("testSwitch");
            loggingSwitch.Level = SourceLevels.All;
            BlogTraceListener listener = new BlogTraceListener();

            TraceSource loggingSource = new TraceSource("MeineTraceSource");

            loggingSource.Switch = loggingSwitch;
            loggingSource.Listeners.Add(listener);

            loggingSource.TraceInformation("Logging: Eintrag mit TraceInformation");
            loggingSource.TraceEvent(TraceEventType.Information, 1, "Logging: Eintrag mit TraceEvent/Information");
            loggingSource.TraceEvent(TraceEventType.Verbose, 2, "Logging: Eintrag mit TraceEvent/Verbose");
            loggingSource.TraceEvent(TraceEventType.Warning, 3, "Logging: Eintrag mit TraceEvent/Warning" + Environment.NewLine + "und Zeilenumbruch");

            try
            {
                int i = 0;
                int r = 5 / i;
            }
            catch (Exception ex)
            {
                loggingSource.TraceData(TraceEventType.Critical, 4, ex);
                loggingSource.TraceData(TraceEventType.Error, 5, new object[] {ex, loggingSource, new DateTime(DateTime.Now.Ticks) } );
            }

            loggingSource.TraceTransfer(6, "Logging: Eintrag mit TraceTransfer", Guid.NewGuid());

            loggingSource.Close();

            Console.ReadLine();
        }
    }
}
